Package org.apache.batchee.extras.writer

## Class MultiWriterBase

- java.lang.Object
- - org.apache.batchee.extras.writer.MultiWriterBase

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemWriter`

      public abstract class MultiWriterBase
      extends Object
      implements javax.batch.api.chunk.ItemWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MultiWriterBase.Checkpoint` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.batch.api.chunk.ItemWriter` | `writer1` |
    `protected javax.batch.api.chunk.ItemWriter` | `writer2` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MultiWriterBase()` |
    `protected` | `MultiWriterBase​(javax.batch.api.chunk.ItemWriter writer1, javax.batch.api.chunk.ItemWriter writer2)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Serializable` | `checkpointInfo()` |
    `void` | `close()` |
    `protected void` | `init​(javax.batch.api.chunk.ItemWriter writer1, javax.batch.api.chunk.ItemWriter writer2)` |
    `void` | `open​(Serializable serializable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.batch.api.chunk.ItemWriter

      `writeItems`

- - ### Field Detail

    - #### writer1

          protected javax.batch.api.chunk.ItemWriter writer1

    - #### writer2

          protected javax.batch.api.chunk.ItemWriter writer2

  - ### Constructor Detail

    - #### MultiWriterBase

          protected MultiWriterBase()

    - #### MultiWriterBase

          protected MultiWriterBase​(javax.batch.api.chunk.ItemWriter writer1,
                                    javax.batch.api.chunk.ItemWriter writer2)

  - ### Method Detail

    - #### init

          protected void init​(javax.batch.api.chunk.ItemWriter writer1,
                              javax.batch.api.chunk.ItemWriter writer2)

    - #### open

          public void open​(Serializable serializable)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### checkpointInfo

          public Serializable checkpointInfo()
                                      throws Exception

      Specified by:
        `checkpointInfo` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`